package org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http.client;

import org.framework.lazy.cloud.network.heartbeat.common.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.AbstractHandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.enums.TcpMessageTypeEnums;

public abstract class AbstractHandleHttpDistributeClientProxyClientTransferRequestTypeAdvanced <MSG> extends AbstractHandleChannelTypeAdvanced<NettyProxyMsg> implements HandleChannelTypeAdvanced {


    /**
     * 是否支持当前类型
     *
     * @param nettyProxyMsg 通道数据
     * @return 布尔类型 是、否
     */
    @Override
    protected boolean doSupport(NettyProxyMsg nettyProxyMsg) {
        return TcpMessageTypeEnums.HTTP_DISTRIBUTE_CLIENT_PROXY_CLIENT_TRANSFER_REQUEST_.getTypeByte() == nettyProxyMsg.getType();
    }
}
