package org.framework.lazy.cloud.network.heartbeat.protocol.init;


import lombok.extern.slf4j.Slf4j;
import org.framework.lazy.cloud.network.heartbeat.protocol.context.NettyHttpProxySocketApplicationListener;
import org.framework.lazy.cloud.network.heartbeat.protocol.context.NettyTcpProxySocketApplicationListener;
import org.framework.lazy.cloud.network.heartbeat.protocol.context.NettyUdpProxySocketApplicationListener;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;


/**
 * description 初始化服务端
 *
 * @author 吴佳伟
 * @date 2023/09/12 18:22
 */
@Slf4j
@Configuration
@Import({NettyHttpProxySocketApplicationListener.class,
        NettyTcpProxySocketApplicationListener.class,
        NettyUdpProxySocketApplicationListener.class})
public class InitProtocolProxySocket {


}
