package org.framework.lazy.cloud.network.heartbeat.protocol.route;

import lombok.Data;


/**
 * 代理路由信息
 */
@Data
public class ServerProxyRoute implements ProxyRoute {

    /**
     *
     * 服务端ip
     */
    private String serverIp;


    /**
     *
     * 路由IP
     */
    private String allowIp;
    /**
     * 允许代理的端口
     */
    private String allowPort;

    /**
     * 路由类型
     */
    private RouteType routeType;
}
