package org.framework.lazy.cloud.network.heartbeat.protocol.actuator;

import io.netty.channel.Channel;
import io.netty.handler.codec.http.FullHttpRequest;

/**
 * http 协议代理执行器
 */
public interface NettyHttpProxyActuator {




    /**
     * 发送消息
     *
     * @param originChannel   原始通道
     * @param fullHttpRequest 消息体
     */
    void send(Channel originChannel, FullHttpRequest fullHttpRequest) throws Exception;
}
