package org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.state;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;
import org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyUpdateCommand;

/**
 * describe 客户端状态
 *
 * @author Jia wei Wu
 * @date 2023/12/27 03:46 下午
 * @see DefaultDDDLazyUpdateCommand
 **/
@Data
@Accessors(chain = true)
@Schema(title = "lazy_netty_client_state_update_command", description = "客户端状态")
public class LazyNettyClientStateUpdateDescribeCommand {

    /**
     * 主键
     */
    @Schema(description = "主键", name = "id", example = "")
    private Long id;


    /**
     * 描述
     */
    @Schema(description = "描述", name = "describe", example = "")
    private String describe;

}